# keyboard

everything on this list can be configured in the "Keyboard" tab of the Settings dialog.

additionally, everything on this list can be accessed with the "command palette" using the default key combo of `Ctrl-P`.

the keys in the "Global hotkeys" section can be used in any window, although not when a text field is activated.

| action                                                 | default keybind  |
|--------------------------------------------------------|------------------|
| **Global hotkeys**                                     |                  |
| New                                                    | `Ctrl-N`         |
| Clear song data                                        | —                |
| Open file                                              | `Ctrl-O`         |
| Restore backup                                         | —                |
| Save file                                              | `Ctrl-S`         |
| Save as                                                | `Ctrl-Shift-S`   |
| Export                                                 | —                |
| Undo                                                   | `Ctrl-Z`         |
| Redo                                                   | `Ctrl-Y`         |
| Play/Stop (toggle)                                     | `Return`         |
| Play                                                   | —                |
| Stop                                                   | —                |
| Play (from beginning)                                  | `F5`             |
| Play (repeat pattern)                                  | —                |
| Play from cursor                                       | `Shift-Return`   |
| Step row                                               | `Ctrl-Return`    |
| Octave up                                              | `Keypad *`       |
| Octave down                                            | `Keypad /`       |
| Previous instrument                                    | `Shift-Keypad /` |
| Next instrument                                        | `Shift-Keypad *` |
| Increase edit step                                     | `Ctrl-Keypad *`  |
| Decrease edit step                                     | `Ctrl-Keypad /`  |
| Toggle edit mode                                       | `Space`          |
| Metronome                                              | `Ctrl-M`         |
| Toggle repeat pattern                                  | —                |
| Follow orders                                          | —                |
| Follow pattern                                         | —                |
| Toggle full-screen                                     | `F11`            |
| Request voice from TX81Z                               | —                |
| Panic                                                  | `F12`            |
|                                                        |                  |
| **Window activation**                                  |                  |
| Find/Replace                                           | `Ctrl-F`         |
| Settings                                               | —                |
| Song Information                                       | —                |
| Subsongs                                               | —                |
| Speed                                                  | —                |
| Instrument List                                        | —                |
| Wavetable List                                         | —                |
| Sample List                                            | —                |
| Orders                                                 | —                |
| Pattern                                                | —                |
| Mixer                                                  | —                |
| Grooves                                                | —                |
| Channels                                               | —                |
| Pattern Manager                                        | —                |
| Chip Manager                                           | —                |
| Compatibility Flags                                    | —                |
| Song Comments                                          | —                |
| Instrument Editor                                      | —                |
| Wavetable Editor                                       | —                |
| Sample Editor                                          | —                |
| Edit Controls                                          | —                |
| Piano                                                  | —                |
| Oscilloscope (master)                                  | —                |
| Oscilloscope (per-channel)                             | —                |
| Oscilloscope (X-Y)                                     | —                |
| Volume Meter                                           | —                |
| Clock                                                  | —                |
| Register View                                          | —                |
| Log Viewer                                             | —                |
| Statistics                                             | —                |
| Memory Composition                                     | —                |
| Effect List                                            | —                |
| Debug Menu                                             | `Ctrl-Shift-D`   |
| Command Stream Player                                  | —                |
| About                                                  | —                |
| Collapse/expand current window                         | —                |
| Close current window                                   | `Shift-Escape`   |
| Command Palette                                        | `Ctrl-P`         |
| Recent files (Palette)                                 | —                |
| Instruments (Palette)                                  | —                |
| Samples (Palette)                                      | —                |
|                                                        |                  |
| **Note input**                                         |                  |
| _see "note input" section after table_                 |                  |
|                                                        |                  |
| **Pattern**                                            |                  |
| Transpose (+1)                                         | `Ctrl-F2`        |
| Transpose (-1)                                         | `Ctrl-F1`        |
| Transpose (+1 octave)                                  | `Ctrl-F4`        |
| Transpose (-1 octave)                                  | `Ctrl-F3`        |
| Increase values (+1)                                   | `Ctrl-Shift-F2`  |
| Increase values (-1)                                   | `Ctrl-Shift-F1`  |
| Increase values (+16)                                  | `Ctrl-Shift-F4`  |
| Increase values (-16)                                  | `Ctrl-Shift-F3`  |
| Select all                                             | `Ctrl-A`         |
| Cut                                                    | `Ctrl-X`         |
| Copy                                                   | `Ctrl-C`         |
| Paste                                                  | `Ctrl-V`         |
| Paste Mix (foreground)                                 | `Ctrl-Shift-V`   |
| Paste Mix (background)                                 | —                |
| Paste Flood                                            | —                |
| Paste Overflow                                         | —                |
| Move cursor up                                         | `Up`             |
| Move cursor down                                       | `Down`           |
| Move cursor left                                       | `Left`           |
| Move cursor right                                      | `Right`          |
| Move cursor up by one (override Edit Step)             | `Shift-Home`     |
| Move cursor down by one (override Edit Step)           | `Shift-End`      |
| Move cursor to previous channel                        | —                |
| Move cursor to next channel                            | —                |
| Move cursor to previous channel (overflow)             | —                |
| Move cursor to next channel (overflow)                 | —                |
| Move cursor to beginning of pattern                    | `Home`           |
| Move cursor to end of pattern                          | `End`            |
| Move cursor up (coarse)                                | `PageUp`         |
| Move cursor down (coarse)                              | `PageDown`       |
| Expand selection upwards                               | `Shift-Up`       |
| Expand selection downwards                             | `Shift-Down`     |
| Expand selection to the left                           | `Shift-Left`     |
| Expand selection to the right                          | `Shift-Right`    |
| Expand selection upwards by one (override Edit Step)   | —                |
| Expand selection downwards by one (override Edit Step) | —                |
| Expand selection to beginning of pattern               | —                |
| Expand selection to end of pattern                     | —                |
| Expand selection upwards (coarse)                      | `Shift-PageUp`   |
| Expand selection downwards (coarse)                    | `Shift-PageDown` |
| Move selection up by one                               | `Alt-Up`         |
| Move selection down by one                             | `Alt-Down`       |
| Move selection to previous channel                     | `Alt-Left`       |
| Move selection to next channel                         | `Alt-Right`      |
| Delete                                                 | `Delete`         |
| Pull delete                                            | `Backspace`      |
| Insert                                                 | `Insert`         |
| Mute channel at cursor                                 | `Alt-F9`         |
| Solo channel at cursor                                 | `Alt-F10`        |
| Unmute all channels                                    | `Alt-Shift-F9`   |
| Go to next order                                       | —                |
| Go to previous order                                   | —                |
| Collapse channel at cursor                             | —                |
| Increase effect columns                                | —                |
| Decrease effect columns                                | —                |
| Interpolate                                            | —                |
| Fade                                                   | —                |
| Invert values                                          | —                |
| Flip selection                                         | —                |
| Collapse rows                                          | —                |
| Expand rows                                            | —                |
| Collapse pattern                                       | —                |
| Expand pattern                                         | —                |
| Collapse song                                          | —                |
| Expand song                                            | —                |
| Set note input latch                                   | —                |
| Clear note input latch                                 | —                |
| Absorb instrument/octave from status at cursor         | —                |
| Return cursor to previous jump point                   | —                |
| Reverse recent cursor undo                             | —                |
|                                                        |                  |
| **Instrument list**                                    |                  |
| Add instrument                                         | `Insert`         |
| Duplicate instrument                                   | `Ctrl-D`         |
| Open instrument                                        | —                |
| Open instrument (replace current)                      | —                |
| Save instrument                                        | —                |
| Save instrument (.dmp)                                 | —                |
| Move instrument up in list                             | `Shift-Up`       |
| Move instrument down in list                           | `Shift-Down`     |
| Delete instrument                                      | —                |
| Edit instrument                                        | `Shift-Return`   |
| Instrument cursor up                                   | `Up`             |
| Instrument cursor down                                 | `Down`           |
| Instruments: toggle folders/standard view              | `Ctrl-V`         |
|                                                        |                  |
| **Wavetable list**                                     |                  |
| Add wavetable                                          | `Insert`         |
| Duplicate wavetable                                    | `Ctrl-D`         |
| Open wavetable                                         | —                |
| Open wavetable (replace current)                       | —                |
| Save wavetable                                         | —                |
| Save wavetable (.dmw)                                  | —                |
| Save wavetable (raw)                                   | —                |
| Move wavetable up in list                              | `Shift-Up`       |
| Move wavetable down in list                            | `Shift-Down`     |
| Delete wavetable                                       | —                |
| Edit wavetable                                         | `Shift-Return`   |
| Wavetable cursor up                                    | `Up`             |
| Wavetable cursor down                                  | `Down`           |
| Wavetables: toggle folders/standard view               | `Ctrl-V`         |
|                                                        |                  |
| **Sample list**                                        |                  |
| Add sample                                             | `Insert`         |
| Duplicate sample                                       | `Ctrl-D`         |
| Sample Editor: Create wavetable from selection         | `Ctrl-W`         |
| Open sample                                            | —                |
| Open sample (replace current)                          | —                |
| Import raw sample data                                 | —                |
| Import raw sample data (replace current)               | —                |
| Save sample                                            | —                |
| Save sample (raw)                                      | —                |
| Move sample up in list                                 | `Shift-Up`       |
| Move sample down in list                               | `Shift-Down`     |
| Delete sample                                          | —                |
| Edit sample                                            | `Shift-Return`   |
| Sample cursor up                                       | `Up`             |
| Sample cursor down                                     | `Down`           |
| Sample Preview                                         | —                |
| Stop sample preview                                    | —                |
| Samples: Toggle folders/standard view                  | `Ctrl-V`         |
| Samples: Make me a drum kit                            | —                |
|                                                        |                  |
| **Orders**                                             |                  |
| Previous order                                         | `Up`             |
| Next order                                             | `Down`           |
| Order cursor left                                      | `Left`           |
| Order cursor right                                     | `Right`          |
| Increase order value                                   | —                |
| Decrease order value                                   | —                |
| Switch order edit mode                                 | —                |
| Order: Toggle alter entire row                         | `Ctrl-L`         |
| Add order                                              | `Insert`         |
| Duplicate order                                        | `Ctrl-D`         |
| Deep clone order                                       | `Ctrl-Shift-D`   |
| Copy current order to end of song                      | `Ctrl-E`         |
| Deep clone current order to end of song                | `Ctrl-Shift-E`   |
| Remove order                                           | `Delete`         |
| Move order up                                          | `Shift-Up`       |
| Move order down                                        | `Shift-Down`     |
| Replay order                                           | —                |
|                                                        |                  |
| **Sample editor**                                      |                  |
| Sample editor mode: Select                             | `Shift-I`        |
| Sample editor mode: Draw                               | `Shift-D`        |
| Sample editor: Cut                                     | `Ctrl-X`         |
| Sample editor: Copy                                    | `Ctrl-C`         |
| Sample editor: Paste                                   | `Ctrl-V`         |
| Sample editor: Paste replace                           | `Ctrl-Shift-V`   |
| Sample editor: Paste mix                               | `Ctrl-Alt-V`     |
| Sample editor: Select all                              | `Ctrl-A`         |
| Sample editor: Resize                                  | `Ctrl-R`         |
| Sample editor: Resample                                | `Ctrl-E`         |
| Sample editor: Amplify                                 | `Ctrl-B`         |
| Sample editor: Normalize                               | `Ctrl-N`         |
| Sample editor: Fade in                                 | `Ctrl-I`         |
| Sample editor: Fade out                                | `Ctrl-O`         |
| Sample editor: Insert silence                          | `Insert`         |
| Sample editor: Apply silence                           | `Shift-Delete`   |
| Sample editor: Delete                                  | `Delete`         |
| Sample editor: Trim                                    | `Ctrl-Delete`    |
| Sample editor: Reverse                                 | `Ctrl-T`         |
| Sample editor: Invert                                  | `Ctrl-Shift-T`   |
| Sample editor: Signed/unsigned exchange                | `Ctrl-U`         |
| Sample editor: Apply filter                            | `Ctrl-F`         |
| Sample editor: Preview sample                          | —                |
| Sample editor: Stop sample preview                     | —                |
| Sample editor: Zoom in                                 | `Ctrl-=`         |
| Sample editor: Zoom out                                | `Ctrl--`         |
| Sample editor: Toggle auto-zoom                        | `Ctrl-0`         |
| Sample editor: Create instrument from sample           | —                |
| Sample editor: Set loop to selection                   | `Ctrl-L`         |
